Bug 627197 - Review Request: bluedevil - Bluetooth stack for KDE
Summary: Review Request: bluedevil - Bluetooth stack for KDE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 624020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 11:20 UTC by Jaroslav Reznik
Modified: 2016-12-01 00:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-10 17:51:06 UTC
rnovacek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2010-08-25 11:20:50 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/bluedevil/bluedevil.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/bluedevil/bluedevil-1.0-0.1.rc3.fc13.src.rpm
Description: BlueDevil is the bluetooth stack for KDE.

RPMlint issues:
bluedevil.x86_64: E: invalid-soname /usr/lib64/libbluedevilaction.so libbluedevilaction.so

bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-wizard.desktop value "Qt;KDE;Bluetooth;Network;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Bluetooth"; values extending the format should start with "X-"
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-audio.desktop (will be fatal in the future): value "virtual/bluedevil-audio;" for key "MimeType" in group "Desktop Entry" contains value "virtual/bluedevil-audio" which is an invalid MIME type: "virtual" is an unregistered media type
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-audio.desktop value "Qt;KDE;Bluetooth;Network;Audio;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Bluetooth"; values extending the format should start with "X-"
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-audio.desktop (will be fatal in the future): value "Audio" in key "Categories" in group "Desktop Entry" requires another category to be present among the following categories: AudioVideo
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-monolithic.desktop value "Qt;KDE;Bluetooth;Network;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Bluetooth"; values extending the format should start with "X-"
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-sendfile.desktop (will be fatal in the future): value "virtual/bluedevil-sendfile;" for key "MimeType" in group "Desktop Entry" contains value "virtual/bluedevil-sendfile" which is an invalid MIME type: "virtual" is an unregistered media type
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-sendfile.desktop value "Qt;KDE;Bluetooth;Network;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Bluetooth"; values extending the format should start with "X-"
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-input.desktop (will be fatal in the future): value "virtual/bluedevil-input;" for key "MimeType" in group "Desktop Entry" contains value "virtual/bluedevil-input" which is an invalid MIME type: "virtual" is an unregistered media type
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-input.desktop value "Qt;KDE;Bluetooth;Network;Input;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Bluetooth"; values extending the format should start with "X-"
bluedevil.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/bluedevil-input.desktop value "Qt;KDE;Bluetooth;Network;Input;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Input"; values extending the format should start with "X-"

Comment 1 Radek Novacek 2010-09-23 14:45:47 UTC
This package looks good, except of rpmlint errors.

invalid-soname - libbluedevilaction.so should have some version and -devel package should have unversioned symlink to it. Same applies for libraries in /usr/lib(64)/kde4.

invalid-desktopfile - "Bluetooth;" should be removed from the Categories key since standard defines this as valid category, see [1].

invalid-desktopfile - "virtual/bluedevil-*;" is invalid MIME type. But I'm not sure if removing it don't break some functionality.

Except of the this issues the package is ok and functional (I tested bidirectional sending files between desktop and mobile phone and it works). Setting review+.

[1] http://standards.freedesktop.org/menu-spec/latest/apa.html

Comment 2 Jaroslav Reznik 2010-09-29 12:58:32 UTC
Thanks Radek,
bugs are reported upstream - it's still pre-release, it's not going to be default BT stack now for released Fedoras but we need a lot of testing before making it default in F15 (and stable release 1.0). So asking for GIT now before fully sorted out.

New Package SCM Request
=======================
Package Name: bluedevil 
Short Description: Bluetooth stack for KDE
Owners: jreznik rdieter than kkofler ltinkl
Branches: f13 f14
InitialCC:

Comment 3 Kevin Fenzi 2010-09-29 18:46:24 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.